Bug 843193 - jconfig.h redefines HAVE_STDLIB_H
jconfig.h redefines HAVE_STDLIB_H
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mingw-libjpeg-turbo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 16:35 EDT by Benjamin Gilbert
Modified: 2013-08-03 16:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 16:18:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Gilbert 2012-07-25 16:35:09 EDT
Description of problem:
jconfig.h defines HAVE_STDLIB_H to an empty value, which causes redefinition errors when libjpeg-turbo is used in autoconfiscated packages that define it to 1.

Version-Release number of selected component (if applicable):
1.1.1-8.fc17

How reproducible:
Always

Steps to Reproduce:
1. Build, um, this-here source tree I have.

Actual results:
./config.h:33:0: warning: "HAVE_STDLIB_H" redefined [enabled by default]
In file included from /usr/i686-w64-mingw32/sys-root/mingw/include/jpeglib.h:26:0,
[...]
/usr/i686-w64-mingw32/sys-root/mingw/include/jconfig.h:15:0: note: this is the location of the previous definition

Expected results:
Successful build.

Additional info:
This is a recurrence of bug 427616.  I suspect cmake builds were overlooked when that bug was fixed.  In the non-mingw libjpeg-turbo package, jconfig.h defines HAVE_STDLIB_H to 1.
Comment 1 Fedora End Of Life 2013-07-03 18:20:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Benjamin Gilbert 2013-07-04 02:43:05 EDT
Still present in Fedora 19.
Comment 3 Erik van Pienbroek 2013-08-03 16:18:14 EDT
Fixed in mingw-libjpeg-turbo-1.3.0-1.fc20

Note You need to log in before you can comment on or make changes to this bug.